<?php

namespace FiloBlu\CheckoutExtend\Helper;

class Data extends \Magento\Framework\Url\Helper\Data {

    public function getShippingAddressAdditionalData() {
        return unserialize($this->scopeConfig->getValue('filoblu_checkoutextend_section/shipping_address/additional_data', \Magento\Store\Model\ScopeInterface::SCOPE_STORE));
    }

    public function getConfigValue($path) {
        return $this->scopeConfig->getValue($path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
    }

    public function getCurrentLocale() {
        $om = \Magento\Framework\App\ObjectManager::getInstance();
        $resolver = $om->get('Magento\Framework\Locale\Resolver');
        return $resolver->getLocale();
    }

    public function getCurrentWebsiteName() {
        $om = \Magento\Framework\App\ObjectManager::getInstance();
        return $om->get('Magento\Store\Model\StoreManagerInterface')->getWebsite()->getName();
    }

}
